Subject: CCL:Summary Choice of computer for G03

From: C J Kenneth Tan -- OptimaNumerics <cjtan!at!OptimaNumerics.com>
Date: Wed, 14 Jul 2004 11:08:06 +0000 (UTC)

Another component to pay attention to is the availability of
well-tuned numerical libraries for the platform.  It is important to
remember that:

- one implementation of a numerical library does not necessarily equal
  to another implementation
- hardware vendor-supplied numerical libraries often perform better than
  open source/public domain numerical libraries
- specialist third-party numerical libraries can outperform hardware
  vendor-supplied numerical libraries

The LAPACK implementation in OptimaNumerics Libraries can outperform
hardware vendors' libraries by up to 13x on Intel Xeon and Itanium II
machines.  This is the performance level achieved in the current
version.  In the benchmarks for the next release (3.0), OptimaNumerics
LAPACK routines have been shown to outperform hardware vendors'
libraries by an even higher gain fold on the Intel Xeon EM64T (Nocona)
machines.

Kenneth Tan
-----------------------------------------------------------------------
C. J. Kenneth Tan, Ph.D.
OptimaNumerics Ltd.
E-mail: cjtan!at!OptimaNumerics.com      Telephone: +44 798 941 7838
Web: http://www.OptimaNumerics.com    Facsimile: +44 289 066 3015
-----------------------------------------------------------------------

On 2004-07-13 13:48 -0300 Ian Hovell (HOVELL!at!cetem.gov.br) wrote:

> Date: Tue, 13 Jul 2004 13:48:17 -0300
> From: Ian Hovell <HOVELL!at!cetem.gov.br>
> To: 'chemistry' <chemistry!at!ccl.net>
> Subject: CCL:Summary Choice of computer for G03
> 
> As promised here is a summary to the following question
> 
> >I'm looking for the ideal computer for running G03. I was wondering what
> >people on the list, when buying a new computer dedicated to Gaussian03,
> >would go fo? Would people go for cpu speed, cache memory, RAM or hard disk.
> >Where would the emphasise be? And what OS would you opt for. I'm sure these
> >questions have been asked for before so if any body can point me to a URL
> >they know, okay.
> >Thanks for your help and time.
> 
> The answers;
> 
> I don't believe you will get definite answers to your question. I've seen
> people on this list using computers of all kinds, single or multi
> processors, Linux, Windows, Mac, etc... running Gaussian. Maybe the most
> important question is what kind of simulations do you want to do on this
> computer?
> 
> Of course, I'd go for the best computer possible, ant that means best CPU,
> with large cache,  maximum RAM and a large HD. Especially, if you plan on
> doing ab-initio calculations on large molecules, you will need lots of HD
> space, and maybe consider a 62 bit processor.
> 
> As for OS, I'd definetely go for Linux, unless you choose a multi-processor
> computer for which Linux isn't available.
> 
> HTH,
>           Gustavo Seabra.
> 
> Ian, I have grown fond of Mac's again, since OS X is the only operating
> system where I can do both professional development in C and Python
> alongside Word - all without an emulator and/or dual booting.  The prices
> for dual processors are comparable to what Dell has, if not a little cheaper
> (list prices, YMMV).
> Whatever you get, there are a number of things to consider:
> 1)	People forget that there are things like memory bandwidth and
> disk/IO bandwidth.  Thus, they purchase the fastest processor(s) they can,
> and wonder why their jobs don't run as fast as they'd expected.  I'd plan
> for 1 job per 1 or 2 processors for maximum efficiency.  If you have to use
> integral files, I'd investigate fast disks, SCSI, etc.
> 2)	Compilers make a HUGE difference.  gcc/g77 are way slower than
> machine-specific compilers (Intel/PC or IBM/Mac).  While it costs a little
> $$, getting 20-50% faster run-time is a cheap upgrade.  Some compilers also
> have difficulties with some parallel libraries, or don't offer them - check
> with Gaussian if there's any good or bad purchases.
> 3)	The safe recommendation is that one should get as much memory and
> disk as possible.  See (1) for kinds and/or speeds of disk.  Regarding
> cache, I don't know how particular portions of Gaussian relate to cache
> hits/misses - they should know this.  Of course, running more than a single
> job on the box is quite a bit worse re: cache than differences with a single
> job.  And I think people now feel that machines should NEVER page (some turn
> off the option in Linux), so lots and lots of RAM is required.
> 4)	Do you want to be your own system manager?  Do you have access to
> one who is competent?  If not, maybe Linux will be a bother - nothing's real
> good out of the box as I understand things.  I run off-the-shell OS X to
> success.
> 5)	Do you need any kind of compatibility with PC/Mac/Linux/...?  Does
> the machine have to have a graphics head or is it merely a server - the
> latter is WAY easier to configure and maintain.  I'm not sure how PC's
> communicate with
> Mac/Linux/Unix, but the latter three seem to talk to each other well.
> Hope this helps...
> Joe
> 
> I've used various versions of Gaussian on various machines at supercomputing
> centers for many years (at least 18 years).  My current favorite machine is
> SGI's itantuim/altix machine.  It is shared memory so gaussian speed-up is
> nearly linear (at least up to 8 processors, as many as I have tried), and
> the 64 bit system makes file size limitations no longer an issue.  I have
> been able to optimizations/frequency calculations on molecules with nearly
> 150 atoms, including Re atoms, using good quality DFT methods, as well as
> MP2 calculations that choked other machines I have used.
> Steve Williams
> 
> I hope that helps
> Ian Hovell 
> 
> 
> -= This is automatically added to each message by the mailing script =-
> To send e-mail to subscribers of CCL put the string CCL: on your Subject: line
> and send your message to:  CHEMISTRY!at!ccl.net
> 
> Send your subscription/unsubscription requests to: CHEMISTRY-REQUEST!at!ccl.net 
> HOME Page: http://www.ccl.net   | Jobs Page: http://www.ccl.net/jobs 
> 
> If your mail is bouncing from CCL.NET domain send it to the maintainer:
> Jan Labanowski,  jlabanow!at!nd.edu (read about it on CCL Home Page)
> -+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
> 
> 
> 
> 
> 
> 
>